| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | Protected Member Functions | List of all members
cv::detail::CylindricalWarper Class Reference
Images stitching » Images Warping

Warper that maps an image onto the x*x + z*z = 1 cylinder. More...

`#include <opencv2/stitching/detail/warpers.hpp>`

Inheritance diagram for cv::detail::CylindricalWarper:

## Public Member Functions
| CylindricalWarper (float scale)
| Construct an instance of the cylindrical warper class. More...
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
Public Member Functions inherited from cv::detail::RotationWarperBase< CylindricalProjector >
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Protected Member Functions
void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br) CV_OVERRIDE
Protected Member Functions inherited from cv::detail::RotationWarperBase< CylindricalProjector >
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)

## Additional Inherited Members
Protected Attributes inherited from cv::detail::RotationWarperBase< CylindricalProjector >
CylindricalProjector | projector_

## Detailed Description

Warper that maps an image onto the x*x + z*z = 1 cylinder.

## Constructor & Destructor Documentation

## § CylindricalWarper()

cv::detail::CylindricalWarper::CylindricalWarper | ( | float | scale | ) |
| inline

Construct an instance of the cylindrical warper class.

Parameters

  scale | Projected image scale multiplier

## Member Function Documentation

## § buildMaps()

Rect cv::detail::CylindricalWarper::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::CylindricalWarperGpu.

## § detectResultRoi()

void cv::detail::CylindricalWarper::detectResultRoi | ( | Size | src_size,
|  | Point & | dst_tl,
|  | Point & | dst_br
| ) |  |
| inline protected virtual

Reimplemented from cv::detail::RotationWarperBase< CylindricalProjector >.

## § warp()

Point cv::detail::CylindricalWarper::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Implements cv::detail::RotationWarper.

Reimplemented in cv::detail::CylindricalWarperGpu.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/warpers.hpp